<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Market/Scripts/5_mission/dayzexpansion_market/atm/expansionatmmenutransferdialog.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/dd5/a01886_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionatmmenutransferdialog.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d9/dd5/a01886.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionATMMenu.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../db/da6/a06050.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../db/da6/a06050.html">ExpansionATMMenuTransferDialog</a>: <a class="code hl_class" href="../../d6/d45/a05282.html">ExpansionMenuDialogBase</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../db/da6/a06050.html#af518bf5f1747a8f6b93b27e783c6c47e">   15</a></span>    ref <a class="code hl_function" href="../../d2/d1f/a01361.html#a3a744778e6fcfabd0b481b677172bc9b">ExpansionMenuDialogContent_Text</a> <a class="code hl_variable" href="../../db/da6/a06050.html#af518bf5f1747a8f6b93b27e783c6c47e">m_Text</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../db/da6/a06050.html#afbecba1c783836baf0b3350e88a10baf">   16</a></span>    ref <a class="code hl_function" href="../../de/d5c/a01358.html#a28f4d80b4896bf3bfb51c251868882fb">ExpansionMenuDialogContent_Editbox</a> <a class="code hl_variable" href="../../db/da6/a06050.html#afbecba1c783836baf0b3350e88a10baf">m_Editbox</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../db/da6/a06050.html#a783e5b4973cae9fbb3c162a9ebb41e3e">   17</a></span>    ref <a class="code hl_class" href="../../d8/d89/a06054.html">ExpansionATMMenuTransferDialogButton_Accept</a> <a class="code hl_variable" href="../../db/da6/a06050.html#a783e5b4973cae9fbb3c162a9ebb41e3e">m_AcceptButton</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../db/da6/a06050.html#a06e2e269e7ae55fc30d65a66e8b1e6ea">   18</a></span>    ref <a class="code hl_class" href="../../d4/db5/a06058.html">ExpansionATMMenuTransferDialogButton_Cancel</a> <a class="code hl_variable" href="../../db/da6/a06050.html#a06e2e269e7ae55fc30d65a66e8b1e6ea">m_CancelButton</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../db/da6/a06050.html#a27b67ba1d2d23a4dfe063d67893791db">   20</a></span>    ref <a class="code hl_class" href="../../df/d0f/a06034.html">ExpansionATMMenu</a> <a class="code hl_variable" href="../../db/da6/a06050.html#a27b67ba1d2d23a4dfe063d67893791db">m_ATMMenu</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../db/da6/a06050.html#ac5e0e322f3a4167592588943bd212de1">   21</a></span>    ref <a class="code hl_class" href="../../da/db5/a04306.html">SyncPlayer</a> <a class="code hl_variable" href="../../db/da6/a06050.html#ac5e0e322f3a4167592588943bd212de1">m_Player</a>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../db/da6/a06050.html#a1e45b55a5a51e2a0b1eb36d05cf1812a">   22</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../db/da6/a06050.html#a1e45b55a5a51e2a0b1eb36d05cf1812a">m_Amount</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../db/da6/a06050.html#ab643c35531819bf26e252783672d6e97">   24</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/da6/a06050.html#ab643c35531819bf26e252783672d6e97">ExpansionATMMenuTransferDialog</a>(<a class="code hl_class" href="../../d5/dfc/a05210.html">ExpansionScriptViewMenu</a> parentMenu, <a class="code hl_class" href="../../da/db5/a04306.html">SyncPlayer</a> player, <span class="keywordtype">int</span> amount)</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <a class="code hl_variable" href="../../d6/d45/a05282.html#a36866e5a70c869f3eacaae5cc554c023">m_ParentMenu</a> = parentMenu;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_variable" href="../../db/da6/a06050.html#ac5e0e322f3a4167592588943bd212de1">m_Player</a> = player;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_variable" href="../../db/da6/a06050.html#a1e45b55a5a51e2a0b1eb36d05cf1812a">m_Amount</a> = amount;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../db/da6/a06050.html#a27b67ba1d2d23a4dfe063d67893791db">m_ATMMenu</a>)</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            <a class="code hl_variable" href="../../db/da6/a06050.html#a27b67ba1d2d23a4dfe063d67893791db">m_ATMMenu</a> = <a class="code hl_class" href="../../df/d0f/a06034.html">ExpansionATMMenu</a>.Cast(<a class="code hl_variable" href="../../d6/d45/a05282.html#a36866e5a70c869f3eacaae5cc554c023">m_ParentMenu</a>);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../db/da6/a06050.html#af518bf5f1747a8f6b93b27e783c6c47e">m_Text</a>)</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            <a class="code hl_variable" href="../../db/da6/a06050.html#af518bf5f1747a8f6b93b27e783c6c47e">m_Text</a> = <span class="keyword">new</span> <a class="code hl_function" href="../../d2/d1f/a01361.html#a3a744778e6fcfabd0b481b677172bc9b">ExpansionMenuDialogContent_Text</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>            <a class="code hl_function" href="../../d6/d45/a05282.html#ad60970f8cd99cbfadfb4cda8ec23e6cf">AddContent</a>(<a class="code hl_variable" href="../../db/da6/a06050.html#af518bf5f1747a8f6b93b27e783c6c47e">m_Text</a>);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            <a class="code hl_variable" href="../../db/da6/a06050.html#af518bf5f1747a8f6b93b27e783c6c47e">m_Text</a>.SetText(<span class="keywordtype">string</span>.Format(<span class="stringliteral">&quot;Are you sure you want to transfer %1 to the player %2&quot;</span>, <a class="code hl_variable" href="../../db/da6/a06050.html#a1e45b55a5a51e2a0b1eb36d05cf1812a">m_Amount</a>, <a class="code hl_variable" href="../../db/da6/a06050.html#ac5e0e322f3a4167592588943bd212de1">m_Player</a>.m_PlayerName));</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            <a class="code hl_variable" href="../../db/da6/a06050.html#af518bf5f1747a8f6b93b27e783c6c47e">m_Text</a>.Show();</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>                </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../db/da6/a06050.html#a783e5b4973cae9fbb3c162a9ebb41e3e">m_AcceptButton</a>)</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>            <a class="code hl_variable" href="../../db/da6/a06050.html#a783e5b4973cae9fbb3c162a9ebb41e3e">m_AcceptButton</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d8/d89/a06054.html">ExpansionATMMenuTransferDialogButton_Accept</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            <a class="code hl_function" href="../../d6/d45/a05282.html#a3e179810853ba00cb5213574c95cd241">AddButton</a>(<a class="code hl_variable" href="../../db/da6/a06050.html#a783e5b4973cae9fbb3c162a9ebb41e3e">m_AcceptButton</a>);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            <a class="code hl_variable" href="../../db/da6/a06050.html#a783e5b4973cae9fbb3c162a9ebb41e3e">m_AcceptButton</a>.<a class="code hl_function" href="../../d4/d56/a05206.html#a3df22f8ba7c31b6d3c427c1b5fcb2382">Show</a>();</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../db/da6/a06050.html#a06e2e269e7ae55fc30d65a66e8b1e6ea">m_CancelButton</a>)</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            <a class="code hl_variable" href="../../db/da6/a06050.html#a06e2e269e7ae55fc30d65a66e8b1e6ea">m_CancelButton</a> = <a class="code hl_class" href="../../d4/db5/a06058.html">ExpansionATMMenuTransferDialogButton_Cancel</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            <a class="code hl_function" href="../../d6/d45/a05282.html#a3e179810853ba00cb5213574c95cd241">AddButton</a>(<a class="code hl_variable" href="../../db/da6/a06050.html#a06e2e269e7ae55fc30d65a66e8b1e6ea">m_CancelButton</a>);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            <a class="code hl_variable" href="../../db/da6/a06050.html#a06e2e269e7ae55fc30d65a66e8b1e6ea">m_CancelButton</a>.<a class="code hl_function" href="../../d4/d56/a05206.html#a3df22f8ba7c31b6d3c427c1b5fcb2382">Show</a>();</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../db/da6/a06050.html#a7f53d4ba2d1f834d87e8349b710616f2">   56</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../db/da6/a06050.html#a7f53d4ba2d1f834d87e8349b710616f2">GetDialogTitle</a>()</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;Transfer Money&quot;</span>;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../db/da6/a06050.html#a3b787544ce53b0abffb6bab42ae2d4eb">   61</a></span>    <a class="code hl_class" href="../../df/d0f/a06034.html">ExpansionATMMenu</a> <a class="code hl_function" href="../../db/da6/a06050.html#a3b787544ce53b0abffb6bab42ae2d4eb">GetATMMenu</a>()</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../db/da6/a06050.html#a27b67ba1d2d23a4dfe063d67893791db">m_ATMMenu</a>;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>};</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../d8/d89/a06054.html">   67</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/d89/a06054.html">ExpansionATMMenuTransferDialogButton_Accept</a>: <a class="code hl_class" href="../../dc/d72/a05218.html">ExpansionMenuDialogButton_Text</a></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>{</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../d8/d89/a06054.html#aba6ec85a42ce086c6e168b091af6cfa5">   69</a></span>    ref <a class="code hl_class" href="../../db/da6/a06050.html">ExpansionATMMenuTransferDialog</a> <a class="code hl_variable" href="../../d8/d89/a06054.html#aba6ec85a42ce086c6e168b091af6cfa5">m_TransferDialog</a>;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../d8/d89/a06054.html#a51f8097c1300be3287d41c3177d6cb9d">   71</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d89/a06054.html#a51f8097c1300be3287d41c3177d6cb9d">ExpansionATMMenuTransferDialogButton_Accept</a>(<a class="code hl_class" href="../../d6/d45/a05282.html">ExpansionMenuDialogBase</a> dialog)</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <a class="code hl_variable" href="../../d6/d14/a05286.html#adb35553de9fa889dccdee489d175e51f">m_Dialog</a> = dialog;      </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d8/d89/a06054.html#aba6ec85a42ce086c6e168b091af6cfa5">m_TransferDialog</a>)</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>            <a class="code hl_variable" href="../../d8/d89/a06054.html#aba6ec85a42ce086c6e168b091af6cfa5">m_TransferDialog</a> = <a class="code hl_class" href="../../db/da6/a06050.html">ExpansionATMMenuTransferDialog</a>.Cast(<a class="code hl_variable" href="../../d6/d14/a05286.html#adb35553de9fa889dccdee489d175e51f">m_Dialog</a>);</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <a class="code hl_function" href="../../dc/d72/a05218.html#ad49391f8b5274b27d2bfa6a442e99030">SetButtonText</a>(<span class="stringliteral">&quot;ACCEPT&quot;</span>);</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    }</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno"><a class="line" href="../../d8/d89/a06054.html#aed2c01239c4a333c556b8caf7ca90a00">   81</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d89/a06054.html#aed2c01239c4a333c556b8caf7ca90a00">OnButtonClick</a>()</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    {</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <a class="code hl_variable" href="../../d8/d89/a06054.html#aba6ec85a42ce086c6e168b091af6cfa5">m_TransferDialog</a>.<a class="code hl_function" href="../../db/da6/a06050.html#a3b787544ce53b0abffb6bab42ae2d4eb">GetATMMenu</a>().<a class="code hl_function" href="../../df/d0f/a06034.html#ab48ec4b202f8182664a0adcac08813f8">ConfirmTransfer</a>();</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    }</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>};</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span> </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="../../d4/db5/a06058.html">   87</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d4/db5/a06058.html">ExpansionATMMenuTransferDialogButton_Cancel</a>: <a class="code hl_class" href="../../dc/d72/a05218.html">ExpansionMenuDialogButton_Text</a></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>{</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno"><a class="line" href="../../d4/db5/a06058.html#a750c21ba05ad944a2f879a86c45aa2b6">   89</a></span>    ref <a class="code hl_class" href="../../db/da6/a06050.html">ExpansionATMMenuTransferDialog</a> <a class="code hl_variable" href="../../d4/db5/a06058.html#a750c21ba05ad944a2f879a86c45aa2b6">m_TransferDialog</a>;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno"><a class="line" href="../../d4/db5/a06058.html#a0e4625ac38077415e3e896a6418faaa0">   91</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/db5/a06058.html#a0e4625ac38077415e3e896a6418faaa0">ExpansionATMMenuTransferDialogButton_Cancel</a>(<a class="code hl_class" href="../../d6/d45/a05282.html">ExpansionMenuDialogBase</a> dialog)</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    {</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <a class="code hl_variable" href="../../d6/d14/a05286.html#adb35553de9fa889dccdee489d175e51f">m_Dialog</a> = dialog;</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d4/db5/a06058.html#a750c21ba05ad944a2f879a86c45aa2b6">m_TransferDialog</a>)</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>            <a class="code hl_variable" href="../../d4/db5/a06058.html#a750c21ba05ad944a2f879a86c45aa2b6">m_TransferDialog</a> = <a class="code hl_class" href="../../db/da6/a06050.html">ExpansionATMMenuTransferDialog</a>.Cast(<a class="code hl_variable" href="../../d6/d14/a05286.html#adb35553de9fa889dccdee489d175e51f">m_Dialog</a>);</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        <a class="code hl_function" href="../../dc/d72/a05218.html#ad49391f8b5274b27d2bfa6a442e99030">SetButtonText</a>(<span class="stringliteral">&quot;CANCEL&quot;</span>);</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    }</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno"><a class="line" href="../../d4/db5/a06058.html#ac7ac826dab3c8cb9c31ad59764e7d500">  101</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/db5/a06058.html#ac7ac826dab3c8cb9c31ad59764e7d500">OnButtonClick</a>()</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    {</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        <a class="code hl_variable" href="../../d4/db5/a06058.html#a750c21ba05ad944a2f879a86c45aa2b6">m_TransferDialog</a>.<a class="code hl_function" href="../../d4/d56/a05206.html#afa9acd67cb0ab6d711d00b2862717201">Hide</a>();</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    }</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>};</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span> </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno"><a class="line" href="../../d9/de2/a06062.html">  107</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d9/de2/a06062.html">ExpansionATMMenuPartyTransferDialog</a>: <a class="code hl_class" href="../../d6/d45/a05282.html">ExpansionMenuDialogBase</a></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>{</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno"><a class="line" href="../../d9/de2/a06062.html#a31e5a621b789eba3b519fcc7d6638b99">  109</a></span>    ref <a class="code hl_function" href="../../d2/d1f/a01361.html#a3a744778e6fcfabd0b481b677172bc9b">ExpansionMenuDialogContent_Text</a> <a class="code hl_variable" href="../../d9/de2/a06062.html#a31e5a621b789eba3b519fcc7d6638b99">m_Text</a>;</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno"><a class="line" href="../../d9/de2/a06062.html#a5ec15ef6d6df160d9a2b54d069ca9f76">  110</a></span>    ref <a class="code hl_function" href="../../de/d5c/a01358.html#a28f4d80b4896bf3bfb51c251868882fb">ExpansionMenuDialogContent_Editbox</a> <a class="code hl_variable" href="../../d9/de2/a06062.html#a5ec15ef6d6df160d9a2b54d069ca9f76">m_Editbox</a>;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno"><a class="line" href="../../d9/de2/a06062.html#aa518e909821fd5d4d3aa9974745bdbe2">  111</a></span>    ref <a class="code hl_class" href="../../d3/d23/a06066.html">ExpansionATMMenuPartyTransferDialogButton_Accept</a> <a class="code hl_variable" href="../../d9/de2/a06062.html#aa518e909821fd5d4d3aa9974745bdbe2">m_AcceptButton</a>;</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno"><a class="line" href="../../d9/de2/a06062.html#a90ae5745994f910d9940ac0bff26b1a9">  112</a></span>    ref <a class="code hl_class" href="../../db/dd3/a06070.html">ExpansionATMMenuPartyTransferDialogButton_Cancel</a> <a class="code hl_variable" href="../../d9/de2/a06062.html#a90ae5745994f910d9940ac0bff26b1a9">m_CancelButton</a>;</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    </div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno"><a class="line" href="../../d9/de2/a06062.html#af9a87065ec1a3ba08fc4eeb20d153816">  114</a></span>    ref <a class="code hl_class" href="../../df/d0f/a06034.html">ExpansionATMMenu</a> <a class="code hl_variable" href="../../d9/de2/a06062.html#af9a87065ec1a3ba08fc4eeb20d153816">m_ATMMenu</a>;</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno"><a class="line" href="../../d9/de2/a06062.html#a0ae0b55bce859dd6541de191ff430fdd">  115</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d9/de2/a06062.html#a0ae0b55bce859dd6541de191ff430fdd">m_Amount</a>;</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span><span class="preprocessor">    #ifdef EXPANSIONMODGROUPS</span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    ref <a class="code hl_class" href="../../db/dc8/a05314.html">ExpansionPartyData</a> <a class="code hl_variable" href="../../d6/d8f/a09397.html#a0d64aa9fa52914023801213dfe9715cc">m_Party</a>;</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    <span class="keywordtype">void</span> <a class="code hl_class" href="../../d9/de2/a06062.html">ExpansionATMMenuPartyTransferDialog</a>(<a class="code hl_class" href="../../d5/dfc/a05210.html">ExpansionScriptViewMenu</a> parentMenu, <span class="keywordtype">int</span> amount, <a class="code hl_class" href="../../db/dc8/a05314.html">ExpansionPartyData</a> party)</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    {</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        <a class="code hl_variable" href="../../d6/d45/a05282.html#a36866e5a70c869f3eacaae5cc554c023">m_ParentMenu</a> = parentMenu;</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        <a class="code hl_variable" href="../../d9/de2/a06062.html#a0ae0b55bce859dd6541de191ff430fdd">m_Amount</a> = amount;</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        <a class="code hl_variable" href="../../d6/d8f/a09397.html#a0d64aa9fa52914023801213dfe9715cc">m_Party</a> = party;</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d9/de2/a06062.html#af9a87065ec1a3ba08fc4eeb20d153816">m_ATMMenu</a>)</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>            <a class="code hl_variable" href="../../d9/de2/a06062.html#af9a87065ec1a3ba08fc4eeb20d153816">m_ATMMenu</a> = <a class="code hl_class" href="../../df/d0f/a06034.html">ExpansionATMMenu</a>.Cast(<a class="code hl_variable" href="../../d6/d45/a05282.html#a36866e5a70c869f3eacaae5cc554c023">m_ParentMenu</a>);</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d9/de2/a06062.html#a31e5a621b789eba3b519fcc7d6638b99">m_Text</a>)</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        {</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>            <a class="code hl_variable" href="../../d9/de2/a06062.html#a31e5a621b789eba3b519fcc7d6638b99">m_Text</a> = <span class="keyword">new</span> <a class="code hl_function" href="../../d2/d1f/a01361.html#a3a744778e6fcfabd0b481b677172bc9b">ExpansionMenuDialogContent_Text</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>            <a class="code hl_function" href="../../d6/d45/a05282.html#ad60970f8cd99cbfadfb4cda8ec23e6cf">AddContent</a>(<a class="code hl_variable" href="../../d9/de2/a06062.html#a31e5a621b789eba3b519fcc7d6638b99">m_Text</a>);</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>            <a class="code hl_variable" href="../../d9/de2/a06062.html#a31e5a621b789eba3b519fcc7d6638b99">m_Text</a>.SetText(<span class="keywordtype">string</span>.Format(<span class="stringliteral">&quot;Are you sure you want to transfer %1 to the %2 party deposit?&quot;</span>, <a class="code hl_variable" href="../../d9/de2/a06062.html#a0ae0b55bce859dd6541de191ff430fdd">m_Amount</a>, <a class="code hl_variable" href="../../d6/d8f/a09397.html#a0d64aa9fa52914023801213dfe9715cc">m_Party</a>.<a class="code hl_function" href="../../db/dc8/a05314.html#a520e781028de08bd206ce51f54ea37bf">GetPartyName</a>()));</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>            <a class="code hl_variable" href="../../d9/de2/a06062.html#a31e5a621b789eba3b519fcc7d6638b99">m_Text</a>.Show();</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        }</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>                </div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d9/de2/a06062.html#aa518e909821fd5d4d3aa9974745bdbe2">m_AcceptButton</a>)</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        {</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>            <a class="code hl_variable" href="../../d9/de2/a06062.html#aa518e909821fd5d4d3aa9974745bdbe2">m_AcceptButton</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d3/d23/a06066.html">ExpansionATMMenuPartyTransferDialogButton_Accept</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>            <a class="code hl_function" href="../../d6/d45/a05282.html#a3e179810853ba00cb5213574c95cd241">AddButton</a>(<a class="code hl_variable" href="../../d9/de2/a06062.html#aa518e909821fd5d4d3aa9974745bdbe2">m_AcceptButton</a>);</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>            <a class="code hl_variable" href="../../d9/de2/a06062.html#aa518e909821fd5d4d3aa9974745bdbe2">m_AcceptButton</a>.<a class="code hl_function" href="../../d4/d56/a05206.html#a3df22f8ba7c31b6d3c427c1b5fcb2382">Show</a>();</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        }</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        </div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d9/de2/a06062.html#a90ae5745994f910d9940ac0bff26b1a9">m_CancelButton</a>)</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>        {</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>            <a class="code hl_variable" href="../../d9/de2/a06062.html#a90ae5745994f910d9940ac0bff26b1a9">m_CancelButton</a> = <a class="code hl_class" href="../../db/dd3/a06070.html">ExpansionATMMenuPartyTransferDialogButton_Cancel</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>            <a class="code hl_function" href="../../d6/d45/a05282.html#a3e179810853ba00cb5213574c95cd241">AddButton</a>(<a class="code hl_variable" href="../../d9/de2/a06062.html#a90ae5745994f910d9940ac0bff26b1a9">m_CancelButton</a>);</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>            <a class="code hl_variable" href="../../d9/de2/a06062.html#a90ae5745994f910d9940ac0bff26b1a9">m_CancelButton</a>.<a class="code hl_function" href="../../d4/d56/a05206.html#a3df22f8ba7c31b6d3c427c1b5fcb2382">Show</a>();</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        }</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    }</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>    </div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno"><a class="line" href="../../d9/de2/a06062.html#afcaa02f852483894803d7ba17f8e541d">  152</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d9/de2/a06062.html#afcaa02f852483894803d7ba17f8e541d">GetDialogTitle</a>()</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    {</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;Deposit Money&quot;</span>;</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>    }</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno"><a class="line" href="../../d9/de2/a06062.html#a47b2494962c4407c5eff495c4159318d">  157</a></span>    <a class="code hl_class" href="../../df/d0f/a06034.html">ExpansionATMMenu</a> <a class="code hl_function" href="../../d9/de2/a06062.html#a47b2494962c4407c5eff495c4159318d">GetATMMenu</a>()</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>    {</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d9/de2/a06062.html#af9a87065ec1a3ba08fc4eeb20d153816">m_ATMMenu</a>;</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>    }</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>};</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span> </div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno"><a class="line" href="../../d3/d23/a06066.html">  163</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d3/d23/a06066.html">ExpansionATMMenuPartyTransferDialogButton_Accept</a>: <a class="code hl_class" href="../../dc/d72/a05218.html">ExpansionMenuDialogButton_Text</a></div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>{</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno"><a class="line" href="../../d3/d23/a06066.html#a4456896aacde43a72680e1637d865a70">  165</a></span>    ref <a class="code hl_class" href="../../d9/de2/a06062.html">ExpansionATMMenuPartyTransferDialog</a> <a class="code hl_variable" href="../../d3/d23/a06066.html#a4456896aacde43a72680e1637d865a70">m_PartyTransferDialog</a>;</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>    </div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno"><a class="line" href="../../d3/d23/a06066.html#a8487d76c3a5e892c2adb11dfe515deb6">  167</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d23/a06066.html#a8487d76c3a5e892c2adb11dfe515deb6">ExpansionATMMenuPartyTransferDialogButton_Accept</a>(<a class="code hl_class" href="../../d6/d45/a05282.html">ExpansionMenuDialogBase</a> dialog)</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>    {</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        <a class="code hl_variable" href="../../d6/d14/a05286.html#adb35553de9fa889dccdee489d175e51f">m_Dialog</a> = dialog;      </div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>        </div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d3/d23/a06066.html#a4456896aacde43a72680e1637d865a70">m_PartyTransferDialog</a>)</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>            <a class="code hl_variable" href="../../d3/d23/a06066.html#a4456896aacde43a72680e1637d865a70">m_PartyTransferDialog</a> = <a class="code hl_class" href="../../d9/de2/a06062.html">ExpansionATMMenuPartyTransferDialog</a>.Cast(<a class="code hl_variable" href="../../d6/d14/a05286.html#adb35553de9fa889dccdee489d175e51f">m_Dialog</a>);</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>        </div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>        <a class="code hl_function" href="../../dc/d72/a05218.html#ad49391f8b5274b27d2bfa6a442e99030">SetButtonText</a>(<span class="stringliteral">&quot;ACCEPT&quot;</span>);</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>    }</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>    </div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno"><a class="line" href="../../d3/d23/a06066.html#abd53955a235ccff9bdaa39deeef4ee50">  177</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d23/a06066.html#abd53955a235ccff9bdaa39deeef4ee50">OnButtonClick</a>()</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>    {</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>        <a class="code hl_variable" href="../../d3/d23/a06066.html#a4456896aacde43a72680e1637d865a70">m_PartyTransferDialog</a>.<a class="code hl_function" href="../../d9/de2/a06062.html#a47b2494962c4407c5eff495c4159318d">GetATMMenu</a>().<a class="code hl_function" href="../../df/d0f/a06034.html#aa41fb49c3c58a3ef36b8ff4f3ba359ff">ConfirmPartyTransfer</a>();</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>    }</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>};</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span> </div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno"><a class="line" href="../../db/dd3/a06070.html">  183</a></span><span class="keyword">class </span><a class="code hl_class" href="../../db/dd3/a06070.html">ExpansionATMMenuPartyTransferDialogButton_Cancel</a>: <a class="code hl_class" href="../../dc/d72/a05218.html">ExpansionMenuDialogButton_Text</a></div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>{</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno"><a class="line" href="../../db/dd3/a06070.html#a6585521bebca49d2508098bf26355886">  185</a></span>    ref <a class="code hl_class" href="../../d9/de2/a06062.html">ExpansionATMMenuPartyTransferDialog</a> <a class="code hl_variable" href="../../db/dd3/a06070.html#a6585521bebca49d2508098bf26355886">m_PartyTransferDialog</a>;</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>    </div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno"><a class="line" href="../../db/dd3/a06070.html#aa225e21253cc5a5b248b8c1ccd140199">  187</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/dd3/a06070.html#aa225e21253cc5a5b248b8c1ccd140199">ExpansionATMMenuPartyTransferDialogButton_Cancel</a>(<a class="code hl_class" href="../../d6/d45/a05282.html">ExpansionMenuDialogBase</a> dialog)</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>    {</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        <a class="code hl_variable" href="../../d6/d14/a05286.html#adb35553de9fa889dccdee489d175e51f">m_Dialog</a> = dialog;</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        </div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../db/dd3/a06070.html#a6585521bebca49d2508098bf26355886">m_PartyTransferDialog</a>)</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>            <a class="code hl_variable" href="../../db/dd3/a06070.html#a6585521bebca49d2508098bf26355886">m_PartyTransferDialog</a> = <a class="code hl_class" href="../../d9/de2/a06062.html">ExpansionATMMenuPartyTransferDialog</a>.Cast(<a class="code hl_variable" href="../../d6/d14/a05286.html#adb35553de9fa889dccdee489d175e51f">m_Dialog</a>);</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        </div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>        <a class="code hl_function" href="../../dc/d72/a05218.html#ad49391f8b5274b27d2bfa6a442e99030">SetButtonText</a>(<span class="stringliteral">&quot;CANCEL&quot;</span>);</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>    }</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>    </div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno"><a class="line" href="../../db/dd3/a06070.html#aa7025027215867767e5ebc05b9af2a65">  197</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/dd3/a06070.html#aa7025027215867767e5ebc05b9af2a65">OnButtonClick</a>()</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>    {</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>        <a class="code hl_variable" href="../../db/dd3/a06070.html#a6585521bebca49d2508098bf26355886">m_PartyTransferDialog</a>.<a class="code hl_function" href="../../d4/d56/a05206.html#afa9acd67cb0ab6d711d00b2862717201">Hide</a>();</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>    }</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>};</div>
<div class="ttc" id="aa01358_html_a28f4d80b4896bf3bfb51c251868882fb"><div class="ttname"><a href="../../de/d5c/a01358.html#a28f4d80b4896bf3bfb51c251868882fb">ExpansionMenuDialogContent_Editbox</a></div><div class="ttdeci">void ExpansionMenuDialogContent_Editbox(ExpansionMenuDialogBase dialog)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/a01358_source.html#l00059">expansiondialogcontent_editbox.c:59</a></div></div>
<div class="ttc" id="aa01361_html_a3a744778e6fcfabd0b481b677172bc9b"><div class="ttname"><a href="../../d2/d1f/a01361.html#a3a744778e6fcfabd0b481b677172bc9b">ExpansionMenuDialogContent_Text</a></div><div class="ttdeci">void ExpansionMenuDialogContent_Text(ExpansionMenuDialogBase dialog)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d1f/a01361_source.html#l00076">expansiondialogcontent_text.c:76</a></div></div>
<div class="ttc" id="aa04306_html"><div class="ttname"><a href="../../da/db5/a04306.html">SyncPlayer</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/a00743_source.html#l00013">syncplayer.c:14</a></div></div>
<div class="ttc" id="aa05206_html_a3df22f8ba7c31b6d3c427c1b5fcb2382"><div class="ttname"><a href="../../d4/d56/a05206.html#a3df22f8ba7c31b6d3c427c1b5fcb2382">ExpansionScriptView::Show</a></div><div class="ttdeci">override void Show()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d42/a09124_source.html#l00027">expansionscriptview.c:27</a></div></div>
<div class="ttc" id="aa05206_html_afa9acd67cb0ab6d711d00b2862717201"><div class="ttname"><a href="../../d4/d56/a05206.html#afa9acd67cb0ab6d711d00b2862717201">ExpansionScriptView::Hide</a></div><div class="ttdeci">override void Hide()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d42/a09124_source.html#l00034">expansionscriptview.c:34</a></div></div>
<div class="ttc" id="aa05210_html"><div class="ttname"><a href="../../d5/dfc/a05210.html">ExpansionScriptViewMenu</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d85/a01352_source.html#l00013">expansionscriptviewmenu.c:14</a></div></div>
<div class="ttc" id="aa05218_html"><div class="ttname"><a href="../../dc/d72/a05218.html">ExpansionMenuDialogButton_Text</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d4e/a01355_source.html#l00076">expansiondialogbutton_text.c:77</a></div></div>
<div class="ttc" id="aa05218_html_ad49391f8b5274b27d2bfa6a442e99030"><div class="ttname"><a href="../../dc/d72/a05218.html#ad49391f8b5274b27d2bfa6a442e99030">ExpansionMenuDialogButton_Text::SetButtonText</a></div><div class="ttdeci">void SetButtonText(string text)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d4e/a01355_source.html#l00107">expansiondialogbutton_text.c:107</a></div></div>
<div class="ttc" id="aa05282_html"><div class="ttname"><a href="../../d6/d45/a05282.html">ExpansionMenuDialogBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d38/a01373_source.html#l00013">expansionmenudialogbase.c:14</a></div></div>
<div class="ttc" id="aa05282_html_a36866e5a70c869f3eacaae5cc554c023"><div class="ttname"><a href="../../d6/d45/a05282.html#a36866e5a70c869f3eacaae5cc554c023">ExpansionMenuDialogBase::m_ParentMenu</a></div><div class="ttdeci">ref ExpansionScriptViewMenu m_ParentMenu</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d38/a01373_source.html#l00025">expansionmenudialogbase.c:25</a></div></div>
<div class="ttc" id="aa05282_html_a3e179810853ba00cb5213574c95cd241"><div class="ttname"><a href="../../d6/d45/a05282.html#a3e179810853ba00cb5213574c95cd241">ExpansionMenuDialogBase::AddButton</a></div><div class="ttdeci">void AddButton(ExpansionMenuDialogButtonBase button)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d38/a01373_source.html#l00103">expansionmenudialogbase.c:103</a></div></div>
<div class="ttc" id="aa05282_html_ad60970f8cd99cbfadfb4cda8ec23e6cf"><div class="ttname"><a href="../../d6/d45/a05282.html#ad60970f8cd99cbfadfb4cda8ec23e6cf">ExpansionMenuDialogBase::AddContent</a></div><div class="ttdeci">void AddContent(ExpansionMenuDialogContentBase content)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d38/a01373_source.html#l00098">expansionmenudialogbase.c:98</a></div></div>
<div class="ttc" id="aa05286_html_adb35553de9fa889dccdee489d175e51f"><div class="ttname"><a href="../../d6/d14/a05286.html#adb35553de9fa889dccdee489d175e51f">ExpansionMenuDialogButtonBase::m_Dialog</a></div><div class="ttdeci">ref ExpansionMenuDialogBase m_Dialog</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d38/a01373_source.html#l00170">expansionmenudialogbase.c:170</a></div></div>
<div class="ttc" id="aa05314_html"><div class="ttname"><a href="../../db/dc8/a05314.html">ExpansionPartyData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d9b/a09391_source.html#l00013">expansionpartydata.c:14</a></div></div>
<div class="ttc" id="aa05314_html_a520e781028de08bd206ce51f54ea37bf"><div class="ttname"><a href="../../db/dc8/a05314.html#a520e781028de08bd206ce51f54ea37bf">ExpansionPartyData::GetPartyName</a></div><div class="ttdeci">string GetPartyName()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d9b/a09391_source.html#l00120">expansionpartydata.c:120</a></div></div>
<div class="ttc" id="aa06034_html"><div class="ttname"><a href="../../df/d0f/a06034.html">ExpansionATMMenu</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d63/a01877_source.html#l00013">expansionatmmenu.c:14</a></div></div>
<div class="ttc" id="aa06034_html_aa41fb49c3c58a3ef36b8ff4f3ba359ff"><div class="ttname"><a href="../../df/d0f/a06034.html#aa41fb49c3c58a3ef36b8ff4f3ba359ff">ExpansionATMMenu::ConfirmPartyTransfer</a></div><div class="ttdeci">void ConfirmPartyTransfer()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d63/a01877_source.html#l00570">expansionatmmenu.c:570</a></div></div>
<div class="ttc" id="aa06034_html_ab48ec4b202f8182664a0adcac08813f8"><div class="ttname"><a href="../../df/d0f/a06034.html#ab48ec4b202f8182664a0adcac08813f8">ExpansionATMMenu::ConfirmTransfer</a></div><div class="ttdeci">void ConfirmTransfer()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d63/a01877_source.html#l00472">expansionatmmenu.c:472</a></div></div>
<div class="ttc" id="aa06050_html"><div class="ttname"><a href="../../db/da6/a06050.html">ExpansionATMMenuTransferDialog</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00013">expansionatmmenutransferdialog.c:14</a></div></div>
<div class="ttc" id="aa06050_html_a06e2e269e7ae55fc30d65a66e8b1e6ea"><div class="ttname"><a href="../../db/da6/a06050.html#a06e2e269e7ae55fc30d65a66e8b1e6ea">ExpansionATMMenuTransferDialog::m_CancelButton</a></div><div class="ttdeci">ref ExpansionATMMenuTransferDialogButton_Cancel m_CancelButton</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00018">expansionatmmenutransferdialog.c:18</a></div></div>
<div class="ttc" id="aa06050_html_a1e45b55a5a51e2a0b1eb36d05cf1812a"><div class="ttname"><a href="../../db/da6/a06050.html#a1e45b55a5a51e2a0b1eb36d05cf1812a">ExpansionATMMenuTransferDialog::m_Amount</a></div><div class="ttdeci">int m_Amount</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00022">expansionatmmenutransferdialog.c:22</a></div></div>
<div class="ttc" id="aa06050_html_a27b67ba1d2d23a4dfe063d67893791db"><div class="ttname"><a href="../../db/da6/a06050.html#a27b67ba1d2d23a4dfe063d67893791db">ExpansionATMMenuTransferDialog::m_ATMMenu</a></div><div class="ttdeci">ref ExpansionATMMenu m_ATMMenu</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00020">expansionatmmenutransferdialog.c:20</a></div></div>
<div class="ttc" id="aa06050_html_a3b787544ce53b0abffb6bab42ae2d4eb"><div class="ttname"><a href="../../db/da6/a06050.html#a3b787544ce53b0abffb6bab42ae2d4eb">ExpansionATMMenuTransferDialog::GetATMMenu</a></div><div class="ttdeci">ExpansionATMMenu GetATMMenu()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00061">expansionatmmenutransferdialog.c:61</a></div></div>
<div class="ttc" id="aa06050_html_a783e5b4973cae9fbb3c162a9ebb41e3e"><div class="ttname"><a href="../../db/da6/a06050.html#a783e5b4973cae9fbb3c162a9ebb41e3e">ExpansionATMMenuTransferDialog::m_AcceptButton</a></div><div class="ttdeci">ref ExpansionATMMenuTransferDialogButton_Accept m_AcceptButton</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00017">expansionatmmenutransferdialog.c:17</a></div></div>
<div class="ttc" id="aa06050_html_a7f53d4ba2d1f834d87e8349b710616f2"><div class="ttname"><a href="../../db/da6/a06050.html#a7f53d4ba2d1f834d87e8349b710616f2">ExpansionATMMenuTransferDialog::GetDialogTitle</a></div><div class="ttdeci">override string GetDialogTitle()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00056">expansionatmmenutransferdialog.c:56</a></div></div>
<div class="ttc" id="aa06050_html_ab643c35531819bf26e252783672d6e97"><div class="ttname"><a href="../../db/da6/a06050.html#ab643c35531819bf26e252783672d6e97">ExpansionATMMenuTransferDialog::ExpansionATMMenuTransferDialog</a></div><div class="ttdeci">void ExpansionATMMenuTransferDialog(ExpansionScriptViewMenu parentMenu, SyncPlayer player, int amount)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00024">expansionatmmenutransferdialog.c:24</a></div></div>
<div class="ttc" id="aa06050_html_ac5e0e322f3a4167592588943bd212de1"><div class="ttname"><a href="../../db/da6/a06050.html#ac5e0e322f3a4167592588943bd212de1">ExpansionATMMenuTransferDialog::m_Player</a></div><div class="ttdeci">ref SyncPlayer m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00021">expansionatmmenutransferdialog.c:21</a></div></div>
<div class="ttc" id="aa06050_html_af518bf5f1747a8f6b93b27e783c6c47e"><div class="ttname"><a href="../../db/da6/a06050.html#af518bf5f1747a8f6b93b27e783c6c47e">ExpansionATMMenuTransferDialog::m_Text</a></div><div class="ttdeci">ref ExpansionMenuDialogContent_Text m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00015">expansionatmmenutransferdialog.c:15</a></div></div>
<div class="ttc" id="aa06050_html_afbecba1c783836baf0b3350e88a10baf"><div class="ttname"><a href="../../db/da6/a06050.html#afbecba1c783836baf0b3350e88a10baf">ExpansionATMMenuTransferDialog::m_Editbox</a></div><div class="ttdeci">ref ExpansionMenuDialogContent_Editbox m_Editbox</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00016">expansionatmmenutransferdialog.c:16</a></div></div>
<div class="ttc" id="aa06054_html"><div class="ttname"><a href="../../d8/d89/a06054.html">ExpansionATMMenuTransferDialogButton_Accept</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00067">expansionatmmenutransferdialog.c:68</a></div></div>
<div class="ttc" id="aa06054_html_a51f8097c1300be3287d41c3177d6cb9d"><div class="ttname"><a href="../../d8/d89/a06054.html#a51f8097c1300be3287d41c3177d6cb9d">ExpansionATMMenuTransferDialogButton_Accept::ExpansionATMMenuTransferDialogButton_Accept</a></div><div class="ttdeci">void ExpansionATMMenuTransferDialogButton_Accept(ExpansionMenuDialogBase dialog)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00071">expansionatmmenutransferdialog.c:71</a></div></div>
<div class="ttc" id="aa06054_html_aba6ec85a42ce086c6e168b091af6cfa5"><div class="ttname"><a href="../../d8/d89/a06054.html#aba6ec85a42ce086c6e168b091af6cfa5">ExpansionATMMenuTransferDialogButton_Accept::m_TransferDialog</a></div><div class="ttdeci">ref ExpansionATMMenuTransferDialog m_TransferDialog</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00069">expansionatmmenutransferdialog.c:69</a></div></div>
<div class="ttc" id="aa06054_html_aed2c01239c4a333c556b8caf7ca90a00"><div class="ttname"><a href="../../d8/d89/a06054.html#aed2c01239c4a333c556b8caf7ca90a00">ExpansionATMMenuTransferDialogButton_Accept::OnButtonClick</a></div><div class="ttdeci">override void OnButtonClick()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00081">expansionatmmenutransferdialog.c:81</a></div></div>
<div class="ttc" id="aa06058_html"><div class="ttname"><a href="../../d4/db5/a06058.html">ExpansionATMMenuTransferDialogButton_Cancel</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00087">expansionatmmenutransferdialog.c:88</a></div></div>
<div class="ttc" id="aa06058_html_a0e4625ac38077415e3e896a6418faaa0"><div class="ttname"><a href="../../d4/db5/a06058.html#a0e4625ac38077415e3e896a6418faaa0">ExpansionATMMenuTransferDialogButton_Cancel::ExpansionATMMenuTransferDialogButton_Cancel</a></div><div class="ttdeci">void ExpansionATMMenuTransferDialogButton_Cancel(ExpansionMenuDialogBase dialog)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00091">expansionatmmenutransferdialog.c:91</a></div></div>
<div class="ttc" id="aa06058_html_a750c21ba05ad944a2f879a86c45aa2b6"><div class="ttname"><a href="../../d4/db5/a06058.html#a750c21ba05ad944a2f879a86c45aa2b6">ExpansionATMMenuTransferDialogButton_Cancel::m_TransferDialog</a></div><div class="ttdeci">ref ExpansionATMMenuTransferDialog m_TransferDialog</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00089">expansionatmmenutransferdialog.c:89</a></div></div>
<div class="ttc" id="aa06058_html_ac7ac826dab3c8cb9c31ad59764e7d500"><div class="ttname"><a href="../../d4/db5/a06058.html#ac7ac826dab3c8cb9c31ad59764e7d500">ExpansionATMMenuTransferDialogButton_Cancel::OnButtonClick</a></div><div class="ttdeci">override void OnButtonClick()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00101">expansionatmmenutransferdialog.c:101</a></div></div>
<div class="ttc" id="aa06062_html"><div class="ttname"><a href="../../d9/de2/a06062.html">ExpansionATMMenuPartyTransferDialog</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00107">expansionatmmenutransferdialog.c:108</a></div></div>
<div class="ttc" id="aa06062_html_a0ae0b55bce859dd6541de191ff430fdd"><div class="ttname"><a href="../../d9/de2/a06062.html#a0ae0b55bce859dd6541de191ff430fdd">ExpansionATMMenuPartyTransferDialog::m_Amount</a></div><div class="ttdeci">int m_Amount</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00115">expansionatmmenutransferdialog.c:115</a></div></div>
<div class="ttc" id="aa06062_html_a31e5a621b789eba3b519fcc7d6638b99"><div class="ttname"><a href="../../d9/de2/a06062.html#a31e5a621b789eba3b519fcc7d6638b99">ExpansionATMMenuPartyTransferDialog::m_Text</a></div><div class="ttdeci">ref ExpansionMenuDialogContent_Text m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00109">expansionatmmenutransferdialog.c:109</a></div></div>
<div class="ttc" id="aa06062_html_a47b2494962c4407c5eff495c4159318d"><div class="ttname"><a href="../../d9/de2/a06062.html#a47b2494962c4407c5eff495c4159318d">ExpansionATMMenuPartyTransferDialog::GetATMMenu</a></div><div class="ttdeci">ExpansionATMMenu GetATMMenu()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00157">expansionatmmenutransferdialog.c:157</a></div></div>
<div class="ttc" id="aa06062_html_a5ec15ef6d6df160d9a2b54d069ca9f76"><div class="ttname"><a href="../../d9/de2/a06062.html#a5ec15ef6d6df160d9a2b54d069ca9f76">ExpansionATMMenuPartyTransferDialog::m_Editbox</a></div><div class="ttdeci">ref ExpansionMenuDialogContent_Editbox m_Editbox</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00110">expansionatmmenutransferdialog.c:110</a></div></div>
<div class="ttc" id="aa06062_html_a90ae5745994f910d9940ac0bff26b1a9"><div class="ttname"><a href="../../d9/de2/a06062.html#a90ae5745994f910d9940ac0bff26b1a9">ExpansionATMMenuPartyTransferDialog::m_CancelButton</a></div><div class="ttdeci">ref ExpansionATMMenuPartyTransferDialogButton_Cancel m_CancelButton</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00112">expansionatmmenutransferdialog.c:112</a></div></div>
<div class="ttc" id="aa06062_html_aa518e909821fd5d4d3aa9974745bdbe2"><div class="ttname"><a href="../../d9/de2/a06062.html#aa518e909821fd5d4d3aa9974745bdbe2">ExpansionATMMenuPartyTransferDialog::m_AcceptButton</a></div><div class="ttdeci">ref ExpansionATMMenuPartyTransferDialogButton_Accept m_AcceptButton</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00111">expansionatmmenutransferdialog.c:111</a></div></div>
<div class="ttc" id="aa06062_html_af9a87065ec1a3ba08fc4eeb20d153816"><div class="ttname"><a href="../../d9/de2/a06062.html#af9a87065ec1a3ba08fc4eeb20d153816">ExpansionATMMenuPartyTransferDialog::m_ATMMenu</a></div><div class="ttdeci">ref ExpansionATMMenu m_ATMMenu</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00114">expansionatmmenutransferdialog.c:114</a></div></div>
<div class="ttc" id="aa06062_html_afcaa02f852483894803d7ba17f8e541d"><div class="ttname"><a href="../../d9/de2/a06062.html#afcaa02f852483894803d7ba17f8e541d">ExpansionATMMenuPartyTransferDialog::GetDialogTitle</a></div><div class="ttdeci">override string GetDialogTitle()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00152">expansionatmmenutransferdialog.c:152</a></div></div>
<div class="ttc" id="aa06066_html"><div class="ttname"><a href="../../d3/d23/a06066.html">ExpansionATMMenuPartyTransferDialogButton_Accept</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00163">expansionatmmenutransferdialog.c:164</a></div></div>
<div class="ttc" id="aa06066_html_a4456896aacde43a72680e1637d865a70"><div class="ttname"><a href="../../d3/d23/a06066.html#a4456896aacde43a72680e1637d865a70">ExpansionATMMenuPartyTransferDialogButton_Accept::m_PartyTransferDialog</a></div><div class="ttdeci">ref ExpansionATMMenuPartyTransferDialog m_PartyTransferDialog</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00165">expansionatmmenutransferdialog.c:165</a></div></div>
<div class="ttc" id="aa06066_html_a8487d76c3a5e892c2adb11dfe515deb6"><div class="ttname"><a href="../../d3/d23/a06066.html#a8487d76c3a5e892c2adb11dfe515deb6">ExpansionATMMenuPartyTransferDialogButton_Accept::ExpansionATMMenuPartyTransferDialogButton_Accept</a></div><div class="ttdeci">void ExpansionATMMenuPartyTransferDialogButton_Accept(ExpansionMenuDialogBase dialog)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00167">expansionatmmenutransferdialog.c:167</a></div></div>
<div class="ttc" id="aa06066_html_abd53955a235ccff9bdaa39deeef4ee50"><div class="ttname"><a href="../../d3/d23/a06066.html#abd53955a235ccff9bdaa39deeef4ee50">ExpansionATMMenuPartyTransferDialogButton_Accept::OnButtonClick</a></div><div class="ttdeci">override void OnButtonClick()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00177">expansionatmmenutransferdialog.c:177</a></div></div>
<div class="ttc" id="aa06070_html"><div class="ttname"><a href="../../db/dd3/a06070.html">ExpansionATMMenuPartyTransferDialogButton_Cancel</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00183">expansionatmmenutransferdialog.c:184</a></div></div>
<div class="ttc" id="aa06070_html_a6585521bebca49d2508098bf26355886"><div class="ttname"><a href="../../db/dd3/a06070.html#a6585521bebca49d2508098bf26355886">ExpansionATMMenuPartyTransferDialogButton_Cancel::m_PartyTransferDialog</a></div><div class="ttdeci">ref ExpansionATMMenuPartyTransferDialog m_PartyTransferDialog</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00185">expansionatmmenutransferdialog.c:185</a></div></div>
<div class="ttc" id="aa06070_html_aa225e21253cc5a5b248b8c1ccd140199"><div class="ttname"><a href="../../db/dd3/a06070.html#aa225e21253cc5a5b248b8c1ccd140199">ExpansionATMMenuPartyTransferDialogButton_Cancel::ExpansionATMMenuPartyTransferDialogButton_Cancel</a></div><div class="ttdeci">void ExpansionATMMenuPartyTransferDialogButton_Cancel(ExpansionMenuDialogBase dialog)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00187">expansionatmmenutransferdialog.c:187</a></div></div>
<div class="ttc" id="aa06070_html_aa7025027215867767e5ebc05b9af2a65"><div class="ttname"><a href="../../db/dd3/a06070.html#aa7025027215867767e5ebc05b9af2a65">ExpansionATMMenuPartyTransferDialogButton_Cancel::OnButtonClick</a></div><div class="ttdeci">override void OnButtonClick()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd5/a01886_source.html#l00197">expansionatmmenutransferdialog.c:197</a></div></div>
<div class="ttc" id="aa09397_html_a0d64aa9fa52914023801213dfe9715cc"><div class="ttname"><a href="../../d6/d8f/a09397.html#a0d64aa9fa52914023801213dfe9715cc">m_Party</a></div><div class="ttdeci">ref ExpansionPartyData m_Party</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d8f/a09397_source.html#l00029">expansionpartyplayerdata.c:29</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_092c367fafeded0f85ad4cffb3510835.html">Market</a></li><li class="navelem"><a class="el" href="../../dir_1f05db06ccb72c72cd31e0fe28945d0f.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_de01f721d980e2c6da889118cf0e6fd3.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_26918351a49db03189baa31a712a4aaa.html">dayzexpansion_market</a></li><li class="navelem"><a class="el" href="../../dir_63b8034c00a5be7d2e01f3a8813cdc9c.html">atm</a></li><li class="navelem"><a class="el" href="../../d9/dd5/a01886.html">expansionatmmenutransferdialog.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
